## Submitting issues

If you have questions about how to install or use Nextcloud, please direct these to the [online documentation][documentation] or our [forum][forum]. We are also available on [IRC][irc].

### Short version

 * Please always try to be as precise as possible when reporting issues.

### Guidelines
* Please search the existing issues first, it's likely that your issue was already reported or even fixed.
  - Go to one of the repositories, click "issues" and type any word in the top search/command bar.
  - You can also filter by appending e. g. "state:open" to the search string.
  - More info on [search syntax within github](https://help.github.com/articles/searching-issues)
* This repository ([maps](https://github.com/nextcloud/maps/issues)) is *only* for issues within the Nextcloud maps code.
* __SECURITY__: Report any potential security bug to security@nextcloud.com following our [security policy](https://nextcloud.com/security/) instead of filing an issue in our bug tracker

Help us to maximize the effort we can spend fixing issues and adding new features, by not reporting duplicate issues.

[documentation]: https://docs.nextcloud.com/
[forum]: https://help.nextcloud.com/
[irc]: https://webchat.freenode.net/?channels=nextcloud

### Contribute Code and translations
Please check [core's contribution guidelines](https://github.com/nextcloud/server/blob/master/.github/CONTRIBUTING.md) for further information about contributing code and translations.
